clang 10.0.0git

Classes | Namespaces
SemaConcept.h File Reference
`#include "clang/AST/ASTConcept.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/PointerUnion.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <string>`
`#include <utility>`
Include dependency graph for SemaConcept.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::AtomicConstraint
struct | clang::NormalizedConstraint
| A normalized constraint, as defined in C++ [temp.constr.normal], is either an atomic constraint, a conjunction of normalized constraints or a disjunction of normalized constraints. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.